## ptpd 2.1.0-debian1

=== debian/changelog ===
ptpd (2.1.0-debian1-2) unstable; urgency=low

  * Adding patch to support ld --as-needed (Closes: #607583)
  * debian/rules: new dh style rules
  * debian/control: Standards-Version: 3.9.2

 -- Roland Stigge <stigge@antcom.de>  Sat, 31 Dec 2011 19:13:26 +0100

ptpd (2.1.0-debian1-1) unstable; urgency=low

  * New upstream release (Closes: #604862)

 -- Roland Stigge <stigge@antcom.de>  Sun, 12 Dec 2010 12:11:57 +0100

ptpd (2~rc1-debian1-1) unstable; urgency=low

  * New upstream release
  * New maintainer, as discussed with Andrew Straw
  * debian/control:
    - Standards-Version: 3.9.1

 -- Roland Stigge <stigge@antcom.de>  Sun, 22 Aug 2010 18:39:02 +0200

ptpd (1.0.0-1) unstable; urgency=low

  * Initial packaging. Closes: #443533.

 -- Andrew Straw <strawman@astraw.com>  Sun, 17 Jan 2010 15:17:27 -0800
