=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_clean:
	make -C src clean

override_dh_auto_build:
	dh_auto_build -- -C src

override_dh_auto_install:
	cp src/ptpd2.8 debian/ptpd/usr/share/man/man8/ptpd.8
	dh_auto_install
