## ptpd 2.2.2-debian1

=== debian/changelog ===
ptpd (2.2.2-debian1-2) unstable; urgency=low

  * Reupload to unstable

 -- Roland Stigge <stigge@antcom.de>  Wed, 15 May 2013 22:00:17 +0200

ptpd (2.2.2-debian1-1) experimental; urgency=low

  * New upstream release (Closes: #704655)
  * Added fortify build options from dpkg-buildflags
  * debian/control:
    - Standards-Version: 3.9.4
    - Added Homepage
    - Build-Depends: debhelper (>= 9)
  * debian/compat: 9

 -- Roland Stigge <stigge@antcom.de>  Thu, 04 Apr 2013 10:25:40 +0200
