=== debian/control ===
--- 
+++ 
@@ -2,8 +2,9 @@
 Section: net
 Priority: optional
 Maintainer: Roland Stigge <stigge@antcom.de>
-Standards-Version: 3.9.2
-Build-Depends: debhelper (>= 8)
+Standards-Version: 3.9.4
+Build-Depends: debhelper (>= 9)
+Homepage: http://sourceforge.net/projects/ptpd
 
 Package: ptpd
 Architecture: any
