=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,10 @@
 	make -C src clean
 
 override_dh_auto_build:
-	dh_auto_build -- -C src
+	dh_auto_build -- -C src \
+		CFLAGS="$(shell dpkg-buildflags --get CFLAGS)" \
+		CPPFLAGS="$(shell dpkg-buildflags --get CPPFLAGS)" \
+		LDFLAGS="$(shell dpkg-buildflags --get LDFLAGS)"
 
 override_dh_auto_install:
 	cp src/ptpd2.8 debian/ptpd/usr/share/man/man8/ptpd.8
