## ptpd 2.3.0-dfsg

=== debian/changelog ===
ptpd (2.3.0-dfsg-1) unstable; urgency=medium

  * Repackaged by removing doc/draft-ietf-tictoc-ptp-mib-01.txt and
    doc/ptpd_2005_1588_conference_paper.pdf due to license issues
    (Closes: #745406)

 -- Roland Stigge <stigge@antcom.de>  Sun, 18 May 2014 20:05:16 +0200

ptpd (2.3.0-1) unstable; urgency=medium

  * New upstream release
  * debian/control: Standards-Version: 3.9.5

 -- Roland Stigge <stigge@antcom.de>  Sat, 12 Apr 2014 10:50:26 +0200
