=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: net
 Priority: optional
 Maintainer: Roland Stigge <stigge@antcom.de>
-Standards-Version: 3.9.4
-Build-Depends: debhelper (>= 9)
+Standards-Version: 3.9.5
+Build-Depends: debhelper (>= 9), libpcap0.8-dev, dh-autoreconf
 Homepage: http://sourceforge.net/projects/ptpd
 
 Package: ptpd
