## ptpd 2.3.1-debian1

=== debian/changelog ===
ptpd (2.3.1-debian1-5) unstable; urgency=medium

  * add service file (Closes: #1039333)
  * debian/control: bump standard to 4.7.2 (no changes)
  * debian/control: use dh 13 now
  * debian/control: Provides: time-daemon (Closes: #966458)

 -- Thorsten Alteholz <debian@alteholz.de>  Sat, 01 Nov 2025 19:26:16 +0100

ptpd (2.3.1-debian1-4) unstable; urgency=medium

  * debian/control: bump standard to 4.2.1
  * debian/control: use dh 11 now
  * debian/control: add salsa VCS URLs
  * debian/control: remove useless dependency on dh-autoreconf

 -- Thorsten Alteholz <debian@alteholz.de>  Fri, 07 Dec 2018 19:26:16 +0100

ptpd (2.3.1-debian1-3) unstable; urgency=medium

  * move to unstable now
  * debian/control: bump standard to 4.0.1
  * debian/control: use dh 10 now

 -- Thorsten Alteholz <debian@alteholz.de>  Mon, 21 Aug 2017 19:26:16 +0200

ptpd (2.3.1-debian1-2) experimental; urgency=medium

  * New maintainer (Closes: #812754)
  * upload to experimental
  * debian/control: bump standard to 3.9.8
  * add spelling.patch and lintian-warnings.patch
  * debian/rules: manually add link flags

 -- Thorsten Alteholz <debian@alteholz.de>  Wed, 10 May 2017 19:26:16 +0200

ptpd (2.3.1-debian1-1) unstable; urgency=medium

  * New upstream release
  * Repackaged due to license-problem-non-free-RFC-BCP78
    doc/draft-ietf-tictoc-ptp-mib-01.txt
  * debian/control: Standards-Version: 3.9.6

 -- Roland Stigge <stigge@antcom.de>  Fri, 22 Jan 2016 16:26:16 +0100
