=== debian/control ===
--- 
+++ 
@@ -1,14 +1,18 @@
 Source: ptpd
 Section: net
 Priority: optional
-Maintainer: Roland Stigge <stigge@antcom.de>
-Standards-Version: 3.9.5
-Build-Depends: debhelper (>= 9), libpcap0.8-dev, dh-autoreconf
+Maintainer: Thorsten Alteholz <debian@alteholz.de>
+Standards-Version: 4.7.2
+Build-Depends: debhelper-compat (= 13)
+	, libpcap0.8-dev
 Homepage: http://sourceforge.net/projects/ptpd
+Vcs-Browser: https://salsa.debian.org/alteholz/ptpd
+Vcs-Git: https://salsa.debian.org/alteholz/ptpd.git
 
 Package: ptpd
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, lsb-base
+Provides: time-daemon
 Description: Precision Time Protocol daemon
  Implements the Precision Time Protocol (PTP) as defined by the IEEE
  1588-2008 standard. PTP was developed to provide very precise time
