=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with autoreconf

override_dh_auto_clean:
	[ ! -f src/Makefile ] || make -C src clean

override_dh_auto_build:
	dh_auto_build -- -C src \
		CFLAGS="$(shell dpkg-buildflags --get CFLAGS)" \
		CPPFLAGS="$(shell dpkg-buildflags --get CPPFLAGS)" \
		LDFLAGS="$(shell dpkg-buildflags --get LDFLAGS) -Wl,-z,now"

override_dh_auto_install:
	dh_auto_install
	cp src/ptpd2.8 debian/ptpd/usr/share/man/man8/ptpd.8
	rm debian/ptpd/usr/share/man/man8/ptpd2.8
	cp src/ptpd2.conf.5 debian/ptpd/usr/share/man/man5/ptpd.conf.5
	rm debian/ptpd/usr/share/man/man5/ptpd2.conf.5
