=== debian/watch ===
version=4
opts=dversionmangle=s/-debian\d+$// http://sf.net/ptpd/ptpv(.+)\.tar\.gz debian uupdate
